Subject: Re: recent gnutls.c changes broke build on Ubuntu 10.10

From: Ted Zlatanov <[email-masked]>
Date: Tue, 26 Apr 2011 08:05:00 -0500

On Tue, 26 Apr 2011 00:18:16 -0700 Paul Eggert <[email-masked]> wrote: 

PE> bzr 103998 introduced a bug in emacs_gnutls_handshake: it has
PE> a 'return;' statement in a function returning an integer, which
PE> violates the C standard.  I plan to fix this with the following
PE> patch, for lack of a better idea, but it would be nice if someone
PE> with more expertise in gnutls could double-check this.

I committed a different fix, because I *think* your fix would loop
forever: we just return -1 instead, now (this doesn't overlap with
EAGAIN or GNUTLS_E_AGAIN).  But maybe I misunderstood something in your
suggestion.  

I won't be able to commit for a few days so if you still think your fix
is better or have further suggestions, please go ahead and make them.

Thanks
Ted